SessionControllerIsValid Method

POST /Session/IsValid/ Gets a value indicating whether the session with the specified ID is valid.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax
[HttpPostAttribute]
[ActionNameAttribute("IsValid")]
public IActionResult IsValid(
	[FromBodyAttribute] IsSessionValid options,
	Guid? sessionId = null
)

Parameters

options
Type: Dundas.BI.WebApi.ModelsIsSessionValid
The optional information to provide an explicit session ID to check. If not specified, this method will check the session ID given via the WebAppSessionIdCookieName cookie, the Authorization header (Bearer scheme), or via the standard sessionId parameter.
sessionId (Optional)
Type: SystemNullableGuid
The ID of the session to check.

Return Value

Type: IActionResult
A Boolean value indicating whether the session is valid; or a status code indicating the reason for failure.
See Also